Page MenuHomePhabricator

Omnimail recipient load tripping over non-downloaded file
Open, Needs TriagePublic

Description

It created the semaphore file 'Raw Recipient Data Export Jan 12 2018 16-00-03 PM 494.zip.complete' without having a matching downloaded file, and kept failing trying to load the file. When we deleted the semaphore file, it just created it again. I've disabled the job for now.

Event Timeline

Ejegg created this task.Jan 12 2018, 7:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2018, 7:22 PM

I did some testing just now & could not replicate this - I have restarted the jobs & am monitoring

I just dropped this out of the sprint since it is a non-current problem & will see if it recurs

@DStrine @Ejegg - did this recur? This got back into the sprint but it was dropped earlier because I couldn't see it happen to diagnose / debug since the symptoms had gone

ah you have to actually move it out of the "current sprint" column in the backlog otherwise it will get lost in the mix and get automatically added to the next sprint.

238482n375 removed Eileenmcnaughton as the assignee of this task.Jun 15 2018, 8:04 AM
238482n375 triaged this task as Lowest priority.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: Eileenmcnaughton, 238482n375; removed: Aklapper.

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Aklapper raised the priority of this task from Lowest to Needs Triage.
Aklapper removed Eileenmcnaughton as the assignee of this task.Jun 19 2020, 4:12 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)